Subject: bug#11053: 24.0.94; When run with --batch, Emacs seems to start with point on the second line of the given file

From: Reuben Thomas <[email-masked]>
Date: Tue, 20 Mar 2012 21:29:07 +0000

On 20 March 2012 21:24, Glenn Morris <[email-masked]> wrote:
> Reuben Thomas wrote:
>
>> Here is an interactive test test.el:
>>
>> ; end-of-line backward-word backward-word a save-buffer save-buffers-kill-emacs
>> (execute-kbd-macro "\C-e\M-b\M-ba\C-x\C-s\C-x\C-c")
>
> I think a clearer test case is:
>
> (message "%s" (point))
> (what-line)
> (move-end-of-line 1)
> (message "%s" (point))
> (what-line)

Thanks for that!

> which gives the same result for me in 22.1 through to the current trunk;
>
> 1
> Line 1
> 45
> Line 2
>
> and the "right" result if inhibit-point-motion-hooks is non-nil:
>
> 1
> Line 1
> 23
> Line 1
>
>> Up to Emacs 24.0.50, it produces the correct output either way.

I was going on a single report that the expected result was obtained
in 24.0.50, which I didn't verify.

-- 
http://rrt.sc3d.org